# -*- perl -*-
#
# Copyright (C) 1996 Ken MacLeod
# See the file COPYING for distribution terms.
#

$test = {};
$tests->{'docbook'}{'results'}{'html'} = $test;
$test->{'output_type'} = "HTML";
$test->{'check'} = sub {
    my ($segment);

    if (!$::test_html) {
	system ">check-out";
	return;
    }

    open (SGMLS, "| $Text::GDO::NSGMLS -s >check-out 2>&1")
	|| die "$::prog: can't open pipe to \`$Text::GDO::NSGMLS', $!\n";
    print SGMLS <<'EOF';
<!DOCTYPE html PUBLIC "-//IETF//DTD HTML 2.0//EN">
<HTML>
  <HEAD>
    <TITLE></TITLE>
  </HEAD>
  <BODY>
EOF

    print SGMLS $segment;

    print SGMLS <<'EOF';
  </BODY>
</HTML>
EOF
    close SGMLS;
};

######################################################################
$test->{'expected'}{"dummy"} = <<'EOTEST';
<P><B>delete me</B><BR>
</P>

<H1>1  dummy chapter title</H1>

<H2>1.1  dummy section title</H2>
<P>dummy paragraph</P>
EOTEST

######################################################################
$test->{'expected'}{"article-header"} = <<'EOTEST';
<H1>DocBook Title</H1>
<H2>DocBook SubTitle</H2>
<P><B>FirstName1 SurName1</B><BR>
OrgName1<BR>
OrgDiv1<BR>
<A HREF='mailto:email1@address'>&lt;email1@address&gt;</A><BR>
</P>
<P><B>FirstName2 SurName2</B><BR>
OrgName2<BR>
OrgDiv2<BR>
<A HREF='mailto:email2@address'>&lt;email2@address&gt;</A><BR>
</P>

<H1>1  dummy section title</H1>
<P>dummy paragraph</P>
EOTEST

######################################################################
$test->{'expected'}{"copyright"} = <<'EOTEST';
<P><B>dummy</B><BR>
</P>
<P>Copyright (C) 1992, 1993, 1994, 1995 OrgName1, OrgName2</P>

<H1>1  dummy chapter title</H1>

<H2>1.1  dummy section title</H2>
<P>dummy paragraph</P>
EOTEST

######################################################################
$test->{'expected'}{"xref"} = <<'EOTEST';

<H1><A NAME="CHAPTER1">1  dummy chapter title</A></H1>

<H2>1.1  dummy section title</H2>
<P>Cross reference to chapter 1, <A HREF="#CHAPTER1">Chapter 1, <I>dummy chapter title</I></A>.</P>
EOTEST

1;
